.about__container {
  padding-block: 80px;
}

.about__content {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.about__title,
.numbers__title,
.team__title {
  font-size: var(--title-l);
}

.numbers__title {
  color: #fff;
}

.about__text--wrapper,
.counter__label,
.team__subtitle,
.team__position {
  font-size: var(--text-sm);
}

.counter__label {
  white-space: nowrap;
}

.about__text--wrapper > p:first-child {
  margin-bottom: 20px;
}

.highlight {
  color: var(--red-primary);
  font-weight: 600;
}

.numbers {
  background-color: var(--black-primary);
  color: var(--white-primary);
  padding-block: 64px;
}
.numbers__container {
  gap: 32px;
}

.numbers__grid {
  display: grid;
  grid-template-columns: 100%;
  justify-items: stretch;
  gap: 20px;
  width: 100%;
}
.counter--wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 4px;
  background: var(--black-secondary);
  padding: 24px;
}


.counter {
  font-size: 3rem;
}
.team__container {
  gap: 48px;
  padding-block: 64px;
}
.team__head {
  gap: 16px;
  text-align: center;
}

.team__grid {
  display: grid;
  grid-template-columns: 1fr;
  gap: 32px;
}
.team__name {
  font-size: 1.5rem;
}

.team__card img {
  margin-bottom: 16px;
  object-fit: contain;
  object-position: center;
  aspect-ratio: 1/1;
  max-width: 327px;
  width: 100%;
  height: auto;
}

@media (min-width: 768px) {
  .numbers {
    padding-block: 80px;
  }
  .numbers__container {
    gap: 48px;
  }

  .numbers__grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 24px;
  }

  .counter--wrapper {
    padding: 32px;
  }
  .team__container {
    padding-block: 80px;
  }

  .team__grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 32px 24px;
  }
}

@media (min-width: 1248px) {
  .about__container {
    padding-block: 120px;
  }

  .about__content {
    flex-flow: row nowrap;
    justify-content: space-between;
  }

  .about__text--wrapper {
    max-width: 608px;
  }

  .numbers {
    padding-block: 120px;
  }
  .numbers__container {
    gap: 64px;
  }

  .numbers__grid {
    grid-template-columns: repeat(4, 1fr);
    gap: 32px;
  }

  .team__container {
    gap: 64px;
    padding-block: 120px;
  }
  .team__grid {
    grid-template-columns: repeat(4, 1fr);
    gap: 48px 32px;
  } 
}
